Page MenuHomePhabricator

convertExtensionToRegistration skips config params set to empty array
Closed, ResolvedPublic

Description

When I generated extension.json for Graph extension, git aced8e127238a25ac8ddae38f0697693811570db, it skipped the GraphDataDomains configuration parameter that was set to the array(). This is very dangerous, as it may be accidentally forgotten when converting other extensions, and cause run-time errors.

Event Timeline

Yurik created this task.May 11 2015, 1:58 PM
Yurik assigned this task to Legoktm.
Yurik raised the priority of this task from to High.
Yurik updated the task description. (Show Details)
Yurik added a project: MediaWiki-Configuration.
Yurik added a subscriber: Yurik.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 11 2015, 1:58 PM
Paladox set Security to None.May 12 2015, 2:56 PM
Paladox added a subscriber: Legoktm.
Paladox added a subscriber: Paladox.

Hi could the problem be because It is set like

$$var = array();

where as shoulden it be like

$var = array();

Change 210365 had a related patch set uploaded (by Paladox):
Remove $ from $$var in convertExtensionToRegistration.php

https://gerrit.wikimedia.org/r/210365

Change 210365 abandoned by Paladox:
Remove $ from $$var in convertExtensionToRegistration.php

https://gerrit.wikimedia.org/r/210365

Change 210389 had a related patch set uploaded (by Legoktm):
registration: Don't ignore empty array config settings when converting

https://gerrit.wikimedia.org/r/210389

Change 210389 merged by jenkins-bot:
registration: Don't ignore empty array config settings when converting

https://gerrit.wikimedia.org/r/210389

Change 212575 had a related patch set uploaded (by Legoktm):
registration: Don't ignore empty array config settings when converting

https://gerrit.wikimedia.org/r/212575

Legoktm closed this task as Resolved.May 21 2015, 5:35 PM
Legoktm added a project: MW-1.25-release.

Change 212575 merged by jenkins-bot:
registration: Don't ignore empty array config settings when converting

https://gerrit.wikimedia.org/r/212575